namespace :db do
  desc "Drop all tables that were used for the Compliance app."
  task :drop_compliance_tables => :environment do
    puts "Dropping Compliance app tables..."

    problems = false

    ["drop table node_baselines;",
     "drop table baselines;",
     "drop table baseline_resources;",
     "drop table baseline_properties;",
     "drop table baseline_differences;",
     "drop table custom_reports;",
     "drop table custom_reports_node_baselines;"].each { |sql_cmd|

      begin
        ActiveRecord::Base.connection.execute(sql_cmd)
      rescue => e
        puts e.message
        problems = true
      end
    }

    if problems
      puts "Done, however, not all Compliance app tables were successfully dropped. See errors above."
    else
      puts "Compliance app tables were successfully dropped."
    end
  end
end
